changeset 21:d0c8dda49726

Update script diff checking was not working, fixed.
author Matti Hamalainen <ccr@tnsp.org>
date Fri, 14 Jan 2011 20:35:21 +0200
parents d9df76217991
children f025d36926a1
files update.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/update.sh	Wed Jan 12 03:59:36 2011 +0200
+++ b/update.sh	Fri Jan 14 20:35:21 2011 +0200
@@ -20,7 +20,7 @@
 		# New data fetched, does old file exist?
 		if test -e "$INFILE"; then
 			# Yes, do a diff
-			if diff "$INFILE" "$INFILE.new"; then
+			if ! diff "$INFILE" "$INFILE.new" > /dev/null; then
 				# There were differences, do a parse
 				parse=yes
 				mv "$INFILE.new" "$INFILE"